Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Class WCM_DeleteDirectiveParams

    java.lang.Object
      com.ibm.workplace.wcm.api.custom.WCM_DeleteDirectiveParams

All Implemented Interfaces:
  DeleteDirectiveParams, DirectiveParams, java.io.Serializable

    public class WCM_DeleteDirectiveParams

extends java.lang.Object
implements DeleteDirectiveParams

The `DeleteDirectiveParams` object is used to specify arguments or options to a 'Delete' Directive.

To create a new `DeleteDirectiveParams` object call `Directives.DELETE.createDirectiveParams()` and cast the returned object to `DeleteDirectiveParams`

To use a `DeleteDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1
See Also:
  Serialized Form

Constructor Summary
`WCM_DeleteDirectiveParams()`

Method Summary
`boolean` | `isPermanentDelete()` Indicates if a permanent delete has been requested
`void` | `setPermanentDelete(boolean performPermanentDelete)` Specifies whether the Delete Directive should perform a permanent delete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCM_DeleteDirectiveParams

    public WCM_DeleteDirectiveParams()

Method Detail

### setPermanentDelete

    public void setPermanentDelete(boolean performPermanentDelete)

  Specifies whether the Delete Directive should perform a permanent delete.

  By default all deletes of non-draft items are soft-deletes. Draft items are always permanently deleted.

  Specified by:
    `setPermanentDelete` in interface `DeleteDirectiveParams`
  Parameters:
    `performPermanentDelete` - true if a permanent delete should be performed. false otherwise

### isPermanentDelete

    public boolean isPermanentDelete()

  Indicates if a permanent delete has been requested

  Specified by:
    `isPermanentDelete` in interface `DeleteDirectiveParams`
  Returns:
    true if a permanent delete has been requested, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD